/////////////WRITTEN BY ZACH G. (C) 2021 DORAEZACHTEAM LTD.
/////////////TORQUE GAME ENGINE (C) 2001 - 2021 GARAGEGAMES.COM
datablock TSShapeConstructor(SnoopyDts) {
	baseShape = "./snoopy.dts";
	sequence0  = "./snoopy_root.dsq root";

	sequence1  = "./snoopy_walk.dsq run";
	sequence2  = "./snoopy_walk.dsq walk";
	sequence3  = "./snoopy_back.dsq back";
	sequence4  = "./snoopy_back.dsq side";

	sequence5  = "./snoopy_crouch.dsq crouch";
	sequence6  = "./snoopy_crouchrun.dsq crouchRun";
	sequence7  = "./snoopy_crouchrun.dsq crouchBack";
	sequence8  = "./snoopy_crouchrun.dsq crouchSide";

	sequence9  = "./snoopy_look.dsq look";
	sequence10 = "./snoopy_headside.dsq headside";
	sequence11 = "./snoopy_root.dsq headUp";

	sequence12 = "./snoopy_jump.dsq jump";
	sequence13 = "./snoopy_jump.dsq standjump";
	sequence14 = "./snoopy_root.dsq fall";
	sequence15 = "./snoopy_root.dsq land";

	sequence16 = "./snoopy_armAttack.dsq armAttack";
	sequence17 = "./snoopy_armReadyLeft.dsq armReadyLeft";
	sequence18 = "./snoopy_armReadyRight.dsq armReadyRight";
	sequence19 = "./snoopy_armReadyBoth.dsq armReadyBoth";
	sequence20 = "./snoopy_spearready.dsq spearready";  
	sequence21 = "./snoopy_spearThrow.dsq spearThrow";

	sequence22 = "./snoopy_talk.dsq talk";  

	sequence23 = "./snoopy_death1.dsq death1"; 
	
	sequence24 = "./snoopy_root.dsq shiftUp";
	sequence25 = "./snoopy_root.dsq shiftDown";
	sequence26 = "./snoopy_shiftAway.dsq shiftAway";
	sequence27 = "./snoopy_root.dsq shiftTo";
	sequence28 = "./snoopy_root.dsq shiftLeft";
	sequence29 = "./snoopy_root.dsq shiftRight";
	sequence30 = "./snoopy_rotCW.dsq rotCW";
	sequence31 = "./snoopy_rotCCW.dsq rotCCW";

	sequence32 = "./snoopy_root.dsq undo";
	sequence33 = "./snoopy_plant.dsq plant";

	sequence34 = "./snoopy_sit.dsq sit";

	sequence35 = "./snoopy_shiftAway.dsq wrench";

   sequence36 = "./snoopy_activate.dsq activate";
   sequence37 = "./snoopy_activate2.dsq activate2";

   sequence38 = "./snoopy_leftrecoil.dsq leftrecoil";
};


datablock AudioProfile(SnoopyDeathSound)
{
	fileName = "./snoopy_miss.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(SnoopyJumpSound)
{
    fileName = "./snoopy_jump.wav";
    description = AudioClose3d;
    preload = true;
};
datablock AudioProfile(SnoopyPainSound)
{
    fileName = "./snoopy_pain.wav";
    description = AudioClose3d;
    preload = true;
}; 

datablock PlayerData(SnoopyArmor : PlayerStandardArmor)
{
   shapeFile = "./snoopy.dts";
	uiName = "Snoopy";
	canJet = 1;
	maxDamage = "400";

useCustomPainEffects = true;
   PainSound			= SnoopyPainSound;
   DeathSound			= SnoopyDeathSound;
   JumpSound			= SnoopyJumpSound;
};

datablock PlayerData(SnoopyNoJetArmor : PlayerStandardArmor)
{
   shapeFile = "./snoopy.dts";
	uiName = "Snoopy (No Jet)";
	canJet = 0;
	maxDamage = "400";

useCustomPainEffects = true;
   PainSound			= SnoopyPainSound;
   DeathSound			= SnoopyDeathSound;
   JumpSound			= SnoopyJumpSound;
};